<?php
/*=======================================================\
|                        Qrcode Invoice		             |
|--------------------------------------------------------|
|   Creator: Nagaraj                                     |
|   Date :   05-12-2021                                  |
|   Description: FA QRCODE invoice            |
|   Free software under GNU GPL                          |
|                                                        |
\=======================================================*/

$page_security = 'SA_QRCODEINVOICESETUP';
$path_to_root  = '../../..';

include_once($path_to_root . "/includes/session.inc");
add_access_extensions();

$js = '';
if ($SysPrefs->use_popup_windows)
	$js .= get_js_open_window(900, 500);

include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/admin/db/company_db.inc");

//--------------------------------------------------------------------------

function can_process() {

	

	return true;
}

//--------------------------------------------------------------------------

if (isset($_POST['submit']) && can_process()) {

	update_company_prefs(get_post(array('abn_qrcode_invoice' => 0)));

	display_notification(_("The Qrcode setup has been updated."));
}

//--------------------------------------------------------------------------

page(_($help_context = "Qrcode Settings"), false, false, "", $js);

start_form();

start_table(TABLESTYLE2);


table_section(1);

$myrow = get_company_prefs();

$_POST['abn_qrcode_invoice'] 	= $myrow['abn_qrcode_invoice'];


table_section_title(_("Qrcode Setup"));

check_row(_("Qrcode Invoice Display:"), 'abn_qrcode_invoice', $_POST['abn_qrcode_invoice']);

end_table(1);

submit_center('submit', _("Update"), true, '', 'default');

end_form(2);

end_page();